Bug 880065 - IllegalArgumentException in jBPM Console Task Variables pagination
Summary: IllegalArgumentException in jBPM Console Task Variables pagination
Status: VERIFIED
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBPM - within SOA   
(Show other bugs)
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER4
: 5.3.1
Assignee: Shelly McGowan
QA Contact: Ivo Bek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 07:14 UTC by Toshiya Kobayashi
Modified: 2018-11-30 20:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When a task had more than 10 variables and you viewed task variables in jBPM Console, the view didn't limit results to 10 rows. When the "Next" link was selected, it threw an IllegalArgumentException. Results are now displayed as expected and no IllegalArgumentException is encountered.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3867 Major Resolved IllegalArgumentException in jBPM Console Task Variables pagination 2016-09-20 05:20 UTC

Description Toshiya Kobayashi 2012-11-26 07:14:19 UTC
Description of problem:


Platform BZ for JBPM-3867.

Steps to Reproduce:

Please see the detail in JBPM-3867
  
Actual results:

Throws IllegalArgumentException

Expected results:

Users can see the next page

Comment 1 JBoss JIRA Server 2012-12-03 13:09:53 UTC
Marco Rietveld <marco.rietveld@redhat.com> made a comment on jira JBPM-3867

Thanks for the patch, Toshiya!

Comment 2 Ivo Bek 2013-02-01 09:08:45 UTC
Verified in SOA-P-5.3.1.ER4

Comment 6 JBoss JIRA Server 2013-10-22 19:54:07 UTC
Marco Rietveld <marco.rietveld@redhat.com> updated the status of jira JBPM-3867 to Resolved


Note You need to log in before you can comment on or make changes to this bug.